Getting Started with CanvasJS Vue StockChart Plugin

This tutorial teaches you to quickly add beautiful StockCharts to your Vue.js applications using CanvasJS & NPM.

In case you have any suggestions/feedback please post it in our forum.

Here are couple of things that you need to remember while using React StockChart Component.

  1. You no longer have to call render() method during the initial render. You need to call render whenever data is updated.
  2. You can get the reference of the stockchart instance by passing the call-back function like `@stockchart-ref=”stockChartRef”` to the component & get the instance as a callback parameter. This allows you to access all chart properties and methods including render().
  3. Once you get reference to the stockchart object, you can update any of the options – like stockchart.options.title.text = “New StockChart Title” and call stockChart.render(). Refer Updating Chart Options / Data for more information.
  4. You can also style the stockchart component as shown below
  5. <CanvasJSStockChart :options="stockChartOptions" @stockchart-ref="stockChartRef" :styles="{width: '100%', height: '460px'}"/>

Step-By-Step Instruction

1. Create Vue.js App

Create Vue.js app. Please refer to Vue.js documentation for prerequisites, environment setup & tutorial on creating Vue.js project & app.

2. Install CanvasJS Vue StockCharts Plugin via NPM

Install CanvasJS Vue StockCharts package via NPM by running the following command.

npm install @canvasjs/vue-stockcharts

3. Import CanvasJS Vue StockCharts plugin & install it

Import the Vue StockCharts plugin to your Vue.js application & install it.

import { createApp } from 'vue'
import App from './App.vue'

import CanvasJSStockChart from '@canvasjs/vue-stockcharts';

const app = createApp(App);
app.use(CanvasJSStockChart); // install the CanvasJS Vuejs StockChart Plugin
app.mount('#app');

4. Set the stockchart-options & create stockchart

Set the stockchart-options in app.vue & use ‘CanvasJSStockChart’ selector to create stockchart inside template tag.

<!-- App.vue -->
<script>
  export default {
    data() {
      return {
        chart: null,
        options: {
          title: {
            text: "CanvasJS StockChart in Vue.js"
          },
          charts: [{
            data: [{
              type: "line",
              dataPoints: [
                { x: new Date("2018-01-01"), y: 71 },
                { x: new Date("2018-02-01"), y: 55 },
                { x: new Date("2018-03-01"), y: 50 },
                { x: new Date("2018-04-01"), y: 65 },
                { x: new Date("2018-05-01"), y: 95 },
                { x: new Date("2018-06-01"), y: 68 },
                { x: new Date("2018-07-01"), y: 28 },
                { x: new Date("2018-08-01"), y: 34 },
                { x: new Date("2018-09-01"), y: 14 },
                { x: new Date("2018-10-01"), y: 71 },
                { x: new Date("2018-11-01"), y: 55 },
                { x: new Date("2018-12-01"), y: 50 },
                { x: new Date("2019-01-01"), y: 34 },
                { x: new Date("2019-02-01"), y: 50 },
                { x: new Date("2019-03-01"), y: 50 },
                { x: new Date("2019-04-01"), y: 95 },
                { x: new Date("2019-05-01"), y: 68 },
                { x: new Date("2019-06-01"), y: 28 },
                { x: new Date("2019-07-01"), y: 34 },
                { x: new Date("2019-08-01"), y: 65 },
                { x: new Date("2019-09-01"), y: 55 },
                { x: new Date("2019-10-01"), y: 71 },
                { x: new Date("2019-11-01"), y: 55 },
                { x: new Date("2019-12-01"), y: 50 }
              ]
            }]
          }],
          navigator: {
            slider: {
              minimum: new Date("2018-07-01"),
              maximum: new Date("2019-06-30")
            }
          }
        }
      }
    }
</script>
<template>
  <CanvasJSStockChart :options="options" />
</template>

In order to make it simpler we have also created examples with different use-cases. Please check out our Vue.js StockChart Gallery for the same.


If you have any questions, please feel free to ask in our forums.Ask Question

CanvasJS StockChart React Component can be easily integrated into your React Applications via NPM. Below is how you can get started with the same.
In case you have any suggestions/feedback please post it in our forum.
Here are couple of things that you need to remember while using React StockChart Component.
As a first step, create a react app. Refer documentation on Creating a New React App for more info.
Install CanvasJS React StockChart package to your application via NPM by running the following command.
npm install @canvasjs/react-stockcharts
Before creating StockChart, you need to import the component ( from canvasjs.stock.react.js ) to your app.
import CanvasJSReact from '@canvasjs/react-stockcharts';
//var CanvasJSReact = require('@canvasjs/react-stockcharts');
var CanvasJS = CanvasJSReact.CanvasJS;
var CanvasJSStockChart = CanvasJSReact.CanvasJSStockChart;
Once the package is imported, you are ready to go. Now you can add CanvasJSStockChart component with stockchart-options & container-style as props. You can get reference to the StockChart instance via an onRef event handler.
class App extends Component {
render() {
const options = {
title: {
text: "CanvasJS StockChart"
},
charts: [{
data: [{
type: "line",
dataPoints: [
{ x: new Date("2018-01-01"), y: 71 },
{ x: new Date("2018-02-01"), y: 55 },
{ x: new Date("2018-03-01"), y: 50 },
{ x: new Date("2018-04-01"), y: 65 },
{ x: new Date("2018-05-01"), y: 95 },
{ x: new Date("2018-06-01"), y: 68 },
{ x: new Date("2018-07-01"), y: 28 },
{ x: new Date("2018-08-01"), y: 34 },
{ x: new Date("2018-09-01"), y: 14 },
{ x: new Date("2018-10-01"), y: 71 },
{ x: new Date("2018-11-01"), y: 55 },
{ x: new Date("2018-12-01"), y: 50 },
{ x: new Date("2019-01-01"), y: 34 },
{ x: new Date("2019-02-01"), y: 50 },
{ x: new Date("2019-03-01"), y: 50 },
{ x: new Date("2019-04-01"), y: 95 },
{ x: new Date("2019-05-01"), y: 68 },
{ x: new Date("2019-06-01"), y: 28 },
{ x: new Date("2019-07-01"), y: 34 },
{ x: new Date("2019-08-01"), y: 65 },
{ x: new Date("2019-09-01"), y: 55 },
{ x: new Date("2019-10-01"), y: 71 },
{ x: new Date("2019-11-01"), y: 55 },
{ x: new Date("2019-12-01"), y: 50 }
]
}]
}],
navigator: {
slider: {
minimum: new Date("2018-07-01"),
maximum: new Date("2019-06-30")
}
}
};
const containerProps = {
width: "80%",
height: "450px",
margin: "auto"
};
return (
<div>
<CanvasJSStockChart
options={options}
containerProps = {containerProps}
onRef={ref => this.stockChart = ref}
/>
</div>
);
}
}
Refer to the StockChart Options section for complete list of options available. Also refer to Updating StockChart Options / Data section for tutorial on updating StockChart dynamically.

Getting Started with CanvasJS Angular StockChart Component

Angular is one of the popular frameworks for web development that aids in building rich web page applications & dashboards. So we have built angular component for CanvasJS StockChart. This Tutorial teaches you to quickly add beautiful StockCharts to your Angular Applications using CanvasJS & NPM.


In case you have any suggestions/feedback please post it in our forum.


Here are couple of things that you need to remember while using Angular StockChart Component

  1. You no longer have to call render() method during the initial render. You need to call render whenever data is updated.
  2. 2. You can get reference to the stockchart instance by passing the call-back function like (stockChartInstance)=”getStockChartInstance($event)” to the component & get the instance as a callback parameter. This allows you to access all stockchart properties and methods including render().
  3. Once you get reference to the stockchart object, you can update any of the options – like stockchart.options.title.text = “StockChart Title” and call stockchart.render(). Refer Updating StockChart Options / Data for more information.
  4. You can also style the stockchart component as shown below
  5. <canvasjs-stockchart [options]="stockChartOptions" [styles]="{width: '100%', height: '450px'}"></canvasjs-stockchart>

Step-By-Step Instruction

1. Create Angular app

Create an angular app. Please refer angular documentation for prerequisites, environment setup & tutorial on creating angular app.

2. Install CanvasJS Angular StockCharts via NPM

Install CanvasJS Angular StockCharts package to your Angular application via NPM.

npm install @canvasjs/angular-stockcharts

3. Import Angular StockChart Component & register the module

Import Angular StockChart module into your Angular application (app.module.ts) & register it.

import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import { AppComponent } from './app.component';

import { CanvasJSAngularStockChartsModule } from '@canvasjs/angular-stockcharts';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
	BrowserModule,
	CanvasJSAngularStockChartsModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }

4. Set the stockchart-options & create chart

Set the stockchart-options in app.component.ts & use ‘canvasjs-stockchart’ selector in app.component.html to create stockchart.

//app.component.ts
import { NgModule } from '@angular/core';

@Component({
	selector: 'app-root',
	templateUrl: './app.component.html',
	styleUrls: ['./app.component.css']
})
	
export class AppComponent {
  let stockChartOptions = {
    title: {
      text: "CanvasJS Angular StockChart"
    },
    theme: "light2",
    charts: [{
      data: [{
        type: "line",
        dataPoints: [
          { x: new Date("2018-01-01"), y: 71 },
          { x: new Date("2018-02-01"), y: 55 },
          { x: new Date("2018-03-01"), y: 50 },
          { x: new Date("2018-04-01"), y: 65 },
          { x: new Date("2018-05-01"), y: 95 },
          { x: new Date("2018-06-01"), y: 68 },
          { x: new Date("2018-07-01"), y: 28 },
          { x: new Date("2018-08-01"), y: 34 },
          { x: new Date("2018-09-01"), y: 14 },
          { x: new Date("2018-10-01"), y: 71 },
          { x: new Date("2018-11-01"), y: 55 },
          { x: new Date("2018-12-01"), y: 50 },
          { x: new Date("2019-01-01"), y: 34 },
          { x: new Date("2019-02-01"), y: 50 },
          { x: new Date("2019-03-01"), y: 50 },
          { x: new Date("2019-04-01"), y: 95 },
          { x: new Date("2019-05-01"), y: 68 },
          { x: new Date("2019-06-01"), y: 28 },
          { x: new Date("2019-07-01"), y: 34 },
          { x: new Date("2019-08-01"), y: 65 },
          { x: new Date("2019-09-01"), y: 55 },
          { x: new Date("2019-10-01"), y: 71 },
          { x: new Date("2019-11-01"), y: 55 },
          { x: new Date("2019-12-01"), y: 50 }
        ]
      }]
    }],
    navigator: {
      slider: {
        minimum: new Date("2018-07-01"),
        maximum: new Date("2019-06-30")
      }
    }
  }
}
	
//app.component.html
<div>
  <canvasjs-stockchart [options]="stockChartOptions"></canvasjs-stockchart>
</div>


In order to make it simpler we have also created various examples with different sets of use-cases. Please check out our Angular StockChart Gallery for the same.



If you have any questions, please feel free to ask in our forums.Ask Question